//+------------------------------------------------------------------+
//|                                .mq4 |
//|                      Copyright  2008, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "baz"
#property link      "baz_fx@ukr.net"
//----
#property indicator_chart_window

extern color color_FH1 = Orange;
extern color color_FL1 = DodgerBlue;
extern color color_FH2 = OrangeRed;
extern color color_FL2 = Blue;
extern color color_FH3 = Red;
extern color color_FL3 = Navy;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators

   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   ObjectDelete("FH1");
   ObjectDelete("FH2");
   ObjectDelete("FH3");

   ObjectDelete("FL1");
   ObjectDelete("FL2");
   ObjectDelete("FL3");
   

   ObjectDelete("Forecast High1");
   ObjectDelete("Forecast High2");
   ObjectDelete("Forecast High3");
   
   ObjectDelete("Forecast Low1");
   ObjectDelete("Forecast Low2");
   ObjectDelete("Forecast Low3");
   
   
     
//---------------------------------------nnnn
   


   Comment(" ");
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
double rates[1][6],yesterday_close,yesterday_high,yesterday_low;
ArrayCopyRates(rates, Symbol(), PERIOD_D1);
//----
if(DayOfWeek() == 1)
{
   if(TimeDayOfWeek(iTime(Symbol(),PERIOD_D1,1)) == 5)
   {
       yesterday_close = rates[1][4];
       yesterday_high = rates[1][3];
       yesterday_low = rates[1][2];
   }
   else
   {
      for(int d = 5;d>=0;d--)
      {
         if(TimeDayOfWeek(iTime(Symbol(),PERIOD_D1,d)) == 5)
         {
             yesterday_close = rates[d][4];
             yesterday_high = rates[d][3];
             yesterday_low = rates[d][2];
         }
         
      }  
   }
}
else
{
    yesterday_close = rates[1][4];
    yesterday_high = rates[1][3];
    yesterday_low = rates[1][2];
}
//----              .
//----       .
Comment("\nYesterday quotations:\nH ",yesterday_high,"\nL ",yesterday_low, "\nC ",yesterday_close);

//1 -         //
double FH1 =((yesterday_high + yesterday_low + yesterday_close + yesterday_low)/2) - yesterday_low; 
double FL1 =((yesterday_high + yesterday_low + yesterday_close + yesterday_low)/2) - yesterday_high;

//2 -         //
double FH2 =((yesterday_high + yesterday_low + yesterday_close + yesterday_high)/2) - yesterday_low; 
double FL2 =((yesterday_high + yesterday_low + yesterday_close + yesterday_high)/2) - yesterday_high; 

//3 -         //
double FH3 =((yesterday_high + yesterday_low + yesterday_close + yesterday_close)/2) - yesterday_low; 
double FL3 =((yesterday_high + yesterday_low + yesterday_close + yesterday_close)/2) - yesterday_high; 




drawLine(FH3,"FH3", color_FH3,0);
drawLabel("Forecast High3",FH3,color_FH3);
drawLine(FH2,"FH2", color_FH2,0);
drawLabel("Forecast High2",FH2,color_FH2);
drawLine(FH1,"FH1", color_FH1,0);
drawLabel("Forecast High1",FH1,color_FH1);


drawLine(FL1,"FL1", color_FL1,0);
drawLabel("Forecast Low1",FL1,color_FL1);
drawLine(FL2,"FL2", color_FL2,0);
drawLabel("Forecast Low2",FL2,color_FL2);
drawLine(FL3,"FL3", color_FL3,0);
drawLabel("Forecast Low3",FL3,color_FL3);

//---------------------------------------nnnn

   return(0);
  }
//+------------------------------------------------------------------+
void drawLabel(string name,double lvl,color Color)
{
    if(ObjectFind(name) != 0)
    {
        ObjectCreate(name, OBJ_TEXT, 0, Time[10], lvl);
        ObjectSetText(name, name, 9, "Arial", EMPTY);
        ObjectSet(name, OBJPROP_COLOR, Color);
    }
    else
    {
        ObjectMove(name, 0, Time[10], lvl);
    }
}
//----
void drawLine(double lvl,string name, color Col,int type)
{
         if(ObjectFind(name) != 0)
         {
            ObjectCreate(name, OBJ_HLINE, 0, Time[0], lvl,Time[0],lvl);           
            if(type == 1)
            {  
              ObjectSet(name, OBJPROP_STYLE, STYLE_SOLID);
              ObjectSet(name,OBJPROP_WIDTH,type);  
            }
            else
            {  
              ObjectSet(name, OBJPROP_STYLE, STYLE_SOLID);
              ObjectSet(name,OBJPROP_WIDTH,type);  
            }
            ObjectSet(name, OBJPROP_COLOR, Col);
         }
         else
         {
            ObjectDelete(name);
            ObjectCreate(name, OBJ_HLINE, 0, Time[0], lvl,Time[0],lvl);  
            if(type == 1)
            {  
              ObjectSet(name, OBJPROP_STYLE, STYLE_SOLID);
              ObjectSet(name,OBJPROP_WIDTH,type);  
            }
            else
            {  
              ObjectSet(name, OBJPROP_STYLE, STYLE_SOLID);
              ObjectSet(name,OBJPROP_WIDTH,type);  
            }

            ObjectSet(name, OBJPROP_COLOR, Col);        
         }
}
//+------------------------------------------------------------------+


